# euler (filter)

## Name

euler (filter) — A constraint on Euler characteristic

## Synopsis

Content Model

    euler ::= (#PCDATA)

## Description

An `euler` (filter) element represents a constraint on the Euler characteristic of a normal surface. The character data should contain a whitespace-separated list of integers; a surface will satisfy this constraint if its Euler characteristic belongs to this list.

Note that this list of acceptable Euler characteristics must not be empty.

### Parents

The following elements contain `euler` (in the context of a constraint on surface properties): `filter` (properties).

### Children

Element `euler` (in the context of a constraint on surface properties) has no children.